921 F0010 1042 09 Black Mascot Boot 42 Greenhorn W10 Safety q5daHxwHF

921 F0010 1042 09 Black Mascot Boot 42 Greenhorn W10 Safety q5daHxwHF

In addition to software and hardware requirements, this page lists all environments, technologies, and versions that can be monitored with Dynatrace. This list is continuously growing, so please check back often.

Use the In this topic links on the right to jump to the information you're looking for.

Infrastructure and cloud

Operating systems

Dynatrace OneAgent

Note that we don't support Dynatrace OneAgent installation on distributed file systems such as NFS.

Windows OS Versions CPU architectures
Windows Server 2008, 2008 R2, 2012, 2012 R2, 2016 x86
Windows 7, 8, 8.1 (32-bit and 64-bit) x86
Windows 10 (64-bit only) x86

116 Men's Endliner Sneaker 2 Fashion Navy Lacoste B1EwgqdB
Linux distribution Versions CPU architectures
Red Hat Enterprise Linux 5.4+ x86, PPCLE
CentOS 6+ x86, PPCLE
Ubuntu 12.04+ x86, PPCLE
Greenhorn 09 921 Boot Mascot 42 F0010 Safety W10 Black 1042 openSUSE 12+ x86, PPCLE
Debian 6+ x86
Fedora 20+ x86
Amazon Linux 2014.03+ x86
Oracle Linux 6.8+ x86
Alpine Linux (musl libc) for containers Alpine 3.4 - 3.8 (musl libc 1.1.14 - 1.1.19) x86_64
CoreOS 835.13+ (with permissive SELinux) x86
SUSE Enterprise Linux 11.4, 12+ x86, PPCLE
Rancher OS W10 Black 42 Mascot 921 Greenhorn Safety F0010 Boot 09 1042 1.1.0 - 1.1.4 x86 (Ubuntu console)
All standards-compliant x86_64 distributions based on glibc 2.5-42+

Unix Systems Versions CPU architectures
IBM AIX full-stack (beta)1 7.1 TL3 SP9+, 7.1 TL4 SP4+, 7.1 TL5+, 7.2 TL0 SP4+, 7.2 TL1 SP2+, 7.2 TL2+ POWER8 and later
Solaris for Java, Apache Server and IBM Http server 10 1/13+, 11.x SPARC, x86

1 Environments with Active Memory Expansion (AME) are currently not supported.

ActiveGate

64 bit physical or virtual host (no container) required

Windows OS 09 Safety Mascot Boot 1042 F0010 921 42 W10 Greenhorn Black Versions
Windows Server 2008, 2008 R2, 2012, 2012 R2, 2016
Windows 7, 8, 8.1,10
Linux distribution Versions
Red Hat Enterprise Linux 6+
Ubuntu 12.04+
openSUSE 13
CentOS 7
Amazon Linux AMI 2014.03, 2017.09

Dynatrace Managed Server1

64 bit physical or virtual host (no container) required

Operating system Versions
Red Hat Enterprise Linux2 6+
CentOS 6+
Ubuntu 12.04+
openSUSE 12.3+
SUSE Enterprise Linux 11.3+
Amazon Linux AMI 2017.09+

1Dynatrace Managed installations only
2Redhat Enterprise Linux 7.4 & 7.5 must be amended.

Networks

Network interface requirements

  • IEEE 802.3 Ethernet, IEEE 802.11 Wireless LAN, OpenVZ virtual network device (venet)
  • Physical or virtual NIC with assigned (no link-local) IP address
  • Virtual Ethernet bridge interface is not supported
  • Network interface bonding is supported

Protocols

  • TCP/IPv4
  • TCP/IPv6 without extension headers

Virtualization

Monitoring

Wedge High Blue Sandals Summer Leather Patent Brand Women New Heel Sandals E5SUcvUqa
VMware Versions
vCenter server 5.x, 6.0, 6.5
ESXi host 5.x, 6.0, 6.5

Detection

  • Xen
  • KVM
  • Hyper-V

Cloud

Monitoring

Amazon Web Services (AWS)
Elastic Compute Cloud (EC2)
Elastic Block Store (EBS)
Elastic Load Balancing (ELB)
Relational Database Service (RDS)
Simple Storage Service (S3)
DynamoDB
Lambda

Detection

  • OpenStack
    Versions Kilo, Liberty, Mitaka, Ocata, Newton, Pike
    Services Keystone, Swift, Glance, Neutron, Ceilometer, Nova, Cinder, Horizon
  • Oracle Cloud
  • Microsoft Azure

Cloud platforms

Azure

Cloud Foundry

Feature Versions
Java buildpack 3.11+
PHP buildpack v4.3.34+
Staticfile buildpack v1.4.6+
Node.js buildpack v1.6.10+ (requires OneAgent version 1.131 or higher)

IBM Cloud Foundry

for Adult Slippers Black and Waffle Men Slippers Toe Closed Hotel Women Spa wAqwE0fRW6
Feature Versions
IBM WebSphere Liberty buildpack v3.9-20170419-1403+ See known issue

Pivotal Cloud Foundry

Feature Versions
Full-stack monitoring via BOSH add-on Pivotal Cloud Foundry v1.10+
Garden-runC v1.0.0+

Heroku

Feature Versions
Stack Heroku-16 (default)

OpenShift

Feature Versions
OpenShift Container Platform 3.4, 3.5, 3.6, 3.7, 3.9
OpenShift Online 3

Note: Dynatrace currently only supports build strategy Docker for integrating OneAgent into your OpenShift Online application container.

Docker

Docker monitoring

Feature Versions
Docker containers monitoring1 1.8, 1.9, 1.10, 1.11, 1.12, 1.13 RC2, 1.13.1, 17.03+ CE and EE
Deep monitoring1 1.6+ (32 and 64 bit) glibc or musl-libc required

Notes:
1 Please see known limitations of Docker container monitoring.

Deployment as a Docker container

Feature Versions
Direct deployment via Docker1Pegasus Shoe Air Nike Women's Dark White 33 Running Zoom Grey Black qtFPxRw 1.10 - 1.13.1, 17.03+ CE and EE
Kubernetes 1.3.1 - 1.9.2, 1.10.x, 1.11.x
OpenShift Container Platform 3.4, 3.5, 3.6, 3.7, 3.9

Note:
1Men's Florsheim Loafer Pisa Tassel Black Zwdn7F7SA OneAgent deployment via a Docker container is only available for Linux-based hosts. Installation within the container isn't supported. Please see the limitations of this deployment model.

Applications, services, & databases

Looking for .NET, PHP, Node.js, or Go?

Java and Scala

Virtual machines Versions
Oracle Hotspot 5, 6, 7, 8, 9, 10
Oracle JRockit 6
OpenJDK 6, 7, 8, 9, 10
IBM J9 6, 7, 8
SAP JVM 6, 7, 8
Azul Zulu 6, 7, 8, 9
Azul Zing 7, 8
ESBs and SOA Versions
Oracle Service Bus 10.3.4 / 12c (12.1.3)
Mule 3.0 - 3.8
TIBCO ActiveMatrix BusinessWorks 5.8.2-5.13
Apache OpenEJB 3.1.4

Web frameworks Versions
Servlet Engine 2.3, 2.4, 2.5, 3.0, 3.1
Grails (in servlet container) 3.x
Fiona Womens High Boots Fashion Black Closed Toe XOXO Knee 54qdgxw5X 2.2, 2.3, 2.4
Ning Asynchronous HTTP Client 1.8, 1.9
Netty 42 Black F0010 1042 09 921 W10 Boot Greenhorn Safety Mascot 3.10, 4.x
ElasticSearch 1 1.7, 2.0, 2.1, 2.2
Vert.x Safety 921 F0010 Boot 1042 09 Greenhorn Mascot 42 W10 Black 2, 3
Apache HttpClient 3.1, 4.x
Apache HttpAsyncClient 4.0.x, 4.1.x
Apache HTTP Core (synchronous only) 4.0.x, 4.1.x
Java HttpUrlConnection
WebMethods Broker & Integration Server 9.0, 9.5-9.10
Mule HTTP Listener 3.5, 3.6, 3.7, 3.8, 3.9
OkHttp 3.x

F0010 09 42 Mascot Greenhorn Boot W10 921 1042 Safety Black 1 Currently, only the web protocol is supported, not the proprietary TCP protocol.

Web services Versions
Play WS API 2.2, 2.3, 2.4
JAX-WS 2.x
Apache Axis2 1.6
Apache CXF 2.x, 3.x
Jersey 1.x, 2.x
Spring Web Services 2.x
JBossWS (JBoss AS) 4.x (Jboss 7.1)
JBossWS (Wildfly) 4.x (Wildfly 8), 5.x (Wildfly 8, 9, 10)
REST web services via WINK framework 1.2, 1.4
Restlet WS 2.1 - 2.3
Hessian web services 2.1, 3.1, 4.0

Greenhorn Boot 42 09 Mascot W10 Black 921 Safety 1042 F0010 Database frameworks Versions
MongoDB driver 2.x, 3.0.x, 3.1.x, 3.2.x, 3.3.x, 3.4.x, 3.5.x, 3.6.x
MongoDB Async driver 3.x
JDBC all
Cassandra (Thrift) 2.x
Cassandra (CQL3) - cassandra-driver-core Black 42 Greenhorn Mascot 09 W10 Boot 921 Safety F0010 1042 2.11 to 3.32
Jedis Redis 2.x

Messaging libraries Versions
JMS 1.1, 2.0
Apache ActiveMQ 4, 5
HornetQ 2.2, 2.3, 2.4
RabbitMQ 3.x
IBM WebSphere MQ client 8.x, 9.x

Remoting services
OpenJDK/Oracle JVM RMI-IIOP
IBM JVM RMI-IIOP
WebSphere RMI-IIOP
WebSphere Liberty RMI-IIOP
JBoss RMI-IIOP
WebLogic RMI-IIOP
Glassfish RMI-IIOP
JBoss RMI-IIOP
Java RMI-JRMP
JBoss Remoting

See also OneAgent SDK for Java for custom tracing capabilities

.NET

Dynatrace fully supports .NET applications written in C#. Limited support for .NET applications written in other languages is available, though not explicitly tested.

.NET and CLR version combinations:

.NET Framework CLR Operating System
3.5 SP1 Full CLR 2.0 Windows
4.0 Full CLR 4.0 Windows
4.5 Full CLR 4.0 Windows
4.5.1 Full CLR 4.0 Windows
4.5.2 Full CLR 4.0 Windows
4.6 Full CLR 4.0 Windows
4.6.1 Full CLR 4.0 Windows
4.6.2 Full CLR 4.0 Windows
4.7 Full CLR 4.0 Windows
4.7.1 Full CLR 4.0 Windows
4.7.2 Full CLR 4.0 Windows
.NET Core 1.0 CoreCLR 1.0 Windows, Linux
.NET Core 1.1 CoreCLR 1.1 Windows, Linux
.NET Core 2.0 CoreCLR 2.0 Windows, Linux
.NET Core 2.1 CoreCLR 2.1 Windows, Linux

Web and web service frameworks Versions
ASP.NET
ASP.NET Core 1.0, 1.1, 2.0, 2.1
ASP.NET Owin/Katana 3.0.0+
WCF
Service Fabric Reliable Services 2.5
HttpClient
ADO.NET database framework
SQL Server
SQL CE
Oracle using Oracle.DataAccess.dll
OLEDB
ODBC

Node.js

Node.js follows a Long Term Support (LTS) release schedule

Version End Of life support
0.10 Last supported version: OneAgent v1.129
0.12 Last supported version: OneAgent v1.129
4
5 Last supported version: OneAgent v1.129
6
7 Last supported version: OneAgent v1.131
8
9
10

Features:

Web frameworks Versions
HTTP, HTTPS built-in
Express 3, 4
restify 2.x
Database frameworks Versions
MongoDB driver 1.4.x, 2.x, 3.x
MySQL
PostgreSQL Black 1042 W10 Boot 09 Safety F0010 42 Mascot Greenhorn 921
Bone Kenneth Cole Combo York Brody Women's New Boot n68x6qwHY
Redis
Memcached 2.2
SQLite3 (context passing only)

See also OneAgent SDK for Node.js for custom tracing capabilities

PHP

  • Linux (mod_php, FastCGI or PHP-FPM)
  • Versions: 5.31, 5.41, 5.51, 5.6, 7.0, 7.1, 7.2

1 Support ended with OneAgent v1.135. See details.

Database extensions Versions
PDO built-in
mysql, mysqli built-in
PostgreSQL Boot W10 Black F0010 42 09 Greenhorn 921 Safety Mascot 1042 built-in
Oracle Database built-in

Go

Supported versions
Go 1.7.0 - 1.7.6, 1.8.0 - 1.8.7, 1.9.0 - 1.9.6, 1.10.0

Supported operating systems

Notes:

Varnish Cache

  • Versions: 3.0.7, 4.0.0, 4.0.1, 4.0.2, 4.0.3, 4.0.4, 4.0.5, 4.1.0, 4.1.1, 4.1.2, 4.1.3, 4.1.4, 4.1.5, 4.1.6, 4.1.7, 4.1.8, 4.1.10, 5.0.0, 5.1.0, 5.1.3

C / C++

See OneAgent SDK for C/C++ for custom tracing capabilities

Web servers

F0010 09 Safety 1042 Black W10 Greenhorn 42 Boot Mascot 921 Server Versions
Apache HTTP Server 2.0 (deprecated), 2.2, 2.4
Microsoft IIS 7.0, 7.5, 8.0, 8.5, 10
Luxury The Fashion high Heel Party The Banquet Shoes Home Wedding high Shoes Women end Shoes Purple Women Duoai Shoes Lg Tip OqHxxT 7.0, 8.0, 8.5, 9.0
Oracle HTTP Server 11g, 12c
NGINX
  • 1.4 or later, or NGINX Plus R1 or later, as long as the specific binaries in use is either in the list of supported binaries, or the corresponding debug information is available locally.
  • Any build of 1.11.5, or NGINX Plus R11, or later.

For NGINX, Dynatrace provides information about:

  • All incoming requests.
  • Outgoing requests that originate from one of the following:
    • ngx_http_proxy_module (proxy_pass)
    • ngx_http_fastcgi_module (fastcgi_pass)
    • ngx_http_memcached_module (memcached_pass)
    • ngx_http_scgi_module (scgi_pass)
    • ngx_http_uwsgi_module (uwsgi_pass)|

List of Linux distributions for NGINX binaries

  • http://archive.ubuntu.com
  • http://archive.webtatic.com
  • http://dl.fedoraproject.org
  • http://download.opensuse.org
  • http://ftp.debian.org
  • http://nginx.org
  • http://packages.eu-west-1.amazonaws.com
  • http://ppa.launchpad.net
  • http://security.debian.org
  • http://www.atomicorp.com
  • https://archives.dotdeb.org
  • https://buildpacks.cloudfoundry.org
  • https://copr-be.cloud.fedoraproject.org
  • https://oss-binaries.phusionpassenger.com
  • https://packages.dotdeb.org
  • https://packages.gitlab.com
  • https://plus-pkgs.nginx.com
  • https://pulp.inuits.eu

Dynatrace maintains an updated full list of supported NGINX binaries.

Plugins

Dynatrace plugins only run on physical or virtual hosts, not within containers.

Insulated T315 12" Men's Rubber Dress Oversized Overboots Black Ranger t1aHcqxq
Technology Versions Container Support
MySQL1 5.7 not available
Microsoft SQL Server 2008, 2012, 2014 not available
PostgreSQL 9.1+ not available
MongoDB Greenhorn 09 W10 Black 1042 42 921 Safety F0010 Boot Mascot 2.6+ not available
HAProxy Daemon-mode only (-D option) 1.4, 1.5, 1.6 (2)
Redis 2.8+ (2)
Memcached 1.4.24+ not available
RabbitMQ 3.4.0+ not available
Elasticsearch 2.3+ (2)
.NET CLR not available
CouchDB 1.5.0+ not available
Couchbase 4.3+ not available
Hadoop 2.4.1+ (2)
Spark 1.6 (2)
Cassandra 2.0+ (2)
ActiveMQ 5.8.0+ (2)

1 Including Percona Server and MariaDB.

2 To monitor technologies running within Docker containers, network access from OneAgent to the technologies in the Docker containers must be provided.

Real User Monitoring and synthetic monitoring

Real User Monitoring auto-injection

  • Java servlet-based web applications
  • Apache HTTP Server
  • IBM HTTP Server
  • Oracle HTTP Server
  • Microsoft IIS
  • NGINX
  • Node.js

Real User Monitoring JavaScript frameworks

Framework Versions
AngularJS 1.0 - 1.5
Angular 2.x - 5.x
Dojo 1.6.1 - 1.12.x
Ext JS 3.4, 4, 5, 6.x
Sencha Touch 2.0 - 2.4
ICEfaces 1.8, 2, 3
jQuery ( Backbone.js ) 1.3 - 1.11, 2.0 - 2.2, 3.0 - 3.2.x
MooTools 1.4.5 - 1.6.0
Prototype 1.6, 1.7.x
XMLHttpRequest (XHR) Generic support
Fetch API Generic support

Mobile Real User Monitoring

Operating System Versions
Android (Native) 4.0.3 - 9 (API 15 - 28)
Android (Hybrid) 4.2 - 9 (API 17 - 28)
iOS 6+

Frameworks

Technology Versions
PhoneGap 2.9.1+
Apache Cordova 3.x+
Custom WebViews Supported
OkHttp 3 (and OkHttp 3 based libraries like Retrofit 2)
AFNetworking 3.x
ProGuard Supported
DexGuard Limited support (not compatible with TamperDetection)
Crosswalk Limited supported since AppMon 7.1.4

Supported Android Gradle plugin versions

Dynatrace Gradle plugin Required Android Gradle plugin version
Safety 1042 921 W10 42 Boot 09 Mascot Black Greenhorn F0010 7.1.0.2116 - 7.1.7.2296 1.5 - 3.1
7.1.8.2306 1.5 - 3.2

Browsers

Real users

Browser Versions
Microsoft Internet Explorer 8+
Microsoft Edge Latest version
Mozilla Firefox 3 latest versions
Google Chrome 3 latest versions (desktop and mobile)
Safari 3 latest versions (OS X and iOS)
Android Browser 3 latest versions
Opera 2 latest versions
All modern browsers with JavaScript and cookies enabled

Synthetic users

Feature Support
Recorder Google Chrome (latest version, backwards compatible)
Browser monitor Google Chrome 65

Dynatrace web UI

JSlides Women's Women's Heather JSlides Black Sneaker Sneaker Heather waBUqWZ
Browser Versions
Microsoft Edge Latest version (desktop and mobile)
Mozilla Firefox Latest version (desktop)
Google Chrome Latest version (desktop and mobile)
Safari 10+ (OS X and iOS)
Microsoft Internet Explorer 11 (desktop)
  • Please note that Microsoft Internet Explorer provides significantly lower performance than other listed browsers. It's recommended that you use an alternative browser.

Dynatrace messaging & alerting

Integrations

Dynatrace mobile app

Operating System Versions
Android 4.1+
iOS 8+